summaryrefslogtreecommitdiff
path: root/packaging/fedora
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/fedora')
-rw-r--r--packaging/fedora/tinyproxy.init89
-rw-r--r--packaging/fedora/tinyproxy.spec84
2 files changed, 173 insertions, 0 deletions
diff --git a/packaging/fedora/tinyproxy.init b/packaging/fedora/tinyproxy.init
new file mode 100644
index 0000000..dabe50f
--- /dev/null
+++ b/packaging/fedora/tinyproxy.init
@@ -0,0 +1,89 @@
+#!/bin/sh
+#
+# tinyproxy
+#
+# chkconfig: - 85 15
+# description: small, efficient HTTP/SSL proxy daemon
+# processname: tinyproxy
+# config: /etc/tinyproxy/tinyproxy.conf
+# pidfile: /var/run/tinyproxy.pid
+
+# http://fedoraproject.org/wiki/FCNewInit/Initscripts
+### BEGIN INIT INFO
+# Provides:
+# Required-Start:
+# Required-Stop:
+# Should-Start:
+# Should-Stop:
+# Default-Start:
+# Default-Stop:
+# Short-Description:
+# Description:
+### END INIT INFO
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ "$NETWORKING" = "no" ] && exit 0
+
+exec="/usr/sbin/tinyproxy"
+prog=$(basename $exec)
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/tinyproxy
+
+start() {
+ echo -n $"Starting $prog: "
+ daemon $exec
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ # stop it here, often "killproc $prog"
+ killproc $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start|stop|restart|reload)
+ $1
+ ;;
+ force-reload)
+ restart
+ ;;
+ status)
+ status $prog
+ ;;
+ try-restart|condrestart)
+ if status $prog >/dev/null ; then
+ restart
+ fi
+ ;;
+ reload)
+ # If config can be reloaded without restarting, implement it here,
+ # remove the "exit", and add "reload" to the usage message below.
+ action $"Service $prog does not support the reload action: " /bin/false
+ exit 3
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|try-restart|force-reload}"
+ exit 2
+ ;;
+esac
diff --git a/packaging/fedora/tinyproxy.spec b/packaging/fedora/tinyproxy.spec
new file mode 100644
index 0000000..9187371
--- /dev/null
+++ b/packaging/fedora/tinyproxy.spec
@@ -0,0 +1,84 @@
+%define tinyproxy_confdir %{_sysconfdir}/tinyproxy
+%define tinyproxy_datadir %{_datadir}/tinyproxy
+
+Name: tinyproxy
+Version: 1.6.3
+Release: 1%{?dist}
+Summary: A small, efficient HTTP/SSL proxy daemon
+
+Group: System Environment/Daemons
+License: GPLv2+
+URL: https://projects.banu.com/tinyproxy/
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
+Source1: %{name}.init
+Source2: %{name}.conf
+
+%description
+tinyproxy is a small, efficient HTTP/SSL proxy daemon released under the
+GNU General Public License (GPL). tinyproxy is very useful in a small
+network setting, where a larger proxy like Squid would either be too
+resource intensive, or a security risk.
+
+%prep
+%setup -q
+
+
+%build
+%configure --with-config=%{tinyproxy_confdir}/%{name}.conf
+make %{?_smp_mflags}
+
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make install-exec DESTDIR=$RPM_BUILD_ROOT
+
+# The default 'make install' installs too many items, so we trim it down
+# and install manually
+%{__install} -p -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
+%{__install} -p -D -m 0644 %{SOURCE2} %{buildroot}%{tinyproxy_confdir}/%{name}.conf
+%{__install} -d -m 0755 %{buildroot}%{tinyproxy_datadir}
+%{__install} -p -D -m 0644 ./doc/%{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8
+
+for htmlfile in $(find ./doc/ -type f -name '*.html')
+do
+ %{__install} -p -m 0644 $htmlfile %{buildroot}%{tinyproxy_datadir}
+done
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+
+%post
+/sbin/chkconfig --add %{name}
+
+
+%preun
+if [ $1 = 0 ]; then
+ /sbin/service %{name} stop >/dev/null 2>&1
+ /sbin/chkconfig --del %{name}
+fi
+
+
+%postun
+if [ $1 -ge 1 ]; then
+ /sbin/service %{name} condrestart > /dev/null 2>&1 || :
+fi
+
+
+
+%files
+%defattr(-,root,root,-)
+%doc AUTHORS COPYING README doc/*.txt
+%{_sbindir}/%{name}
+%{_mandir}/man8/%{name}.8.gz
+%{_initrddir}/%{name}
+%dir %{tinyproxy_datadir}
+%dir %{tinyproxy_datadir}/*
+%dir %{tinyproxy_confdir}
+%config(noreplace) %{tinyproxy_confdir}/%{name}.conf
+
+%changelog
+* Sun Mar 09 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 1.6.3-1
+- Initial rpm configuration